<?php 
defined('C5_EXECUTE') or die(_("Access Denied."));
$form = Loader::helper('form');
$dtt = Loader::helper('form/date_time');
$val = Loader::helper('validation/form');

$myMail="info@mail.com";//管理者のメールアドレス（お客様へのメールで差出人に利用されます）

if (isset($response)) {

	$val->setData($_POST);
	$val->setFiles();
	$val->addRequired('p_name', '名前を入力してください。');
	$val->addRequired('p_mail', 'Eメールを入力してください。');
	$val->addRequiredEmail('p_mail', '正しいメールアドレスを入力してください。');

  if ($val->test() and ($capError=="")) {
	if($response == 2){
		  $mailtxt = t("
		%s 様
		メールありがとうございます。

		名前：
		%s

		メール：
		%s

		  ",
		  $_POST['p_name'],
		  $_POST['p_name'],
		  $_POST['p_mail']
		  );
		  
		  //相手へのメール送信
		  $mh = Loader::helper('mail');
		  $mh->setSubject('【自動返信】サイト／サービス名');
		  $mh->setBody($mailtxt);
		  $mh->to($_POST['p_mail'], $_POST['p_name']."様");
		  $mh->from($myMail, SITE);
		  $mh->sendMail();

		  //管理者側へのメール送信
		  $mh2 = Loader::helper('mail');
		  $mailtxt.=t("
		  UserAgent: %s
		  RemoteAdd: %s
		  ",$_SERVER['HTTP_USER_AGENT'],$_SERVER['REMOTE_ADDR']);

		  $mh2->setSubject('【サイト／サービス名】新規予約メール');
		  $mh2->setBody($mailtxt);
		  $mh2->to($myMail);
		  $mh2->from($_POST['p_mail'], $_POST['p_name']);
		  $mh2->sendMail();
		  echo "メールを送信いたしました。<br />ご利用ありがとうございます。";
	  }

} else {
	$errorArray = $val->getError()->getList(); 
	if(isset($capError)){
		array_push($errorArray,$capError);
	}
}

?>

<? if(isset($errorArray)){ ?>

<ul class="errors">
<? foreach($errorArray as $errors){ ?>
	<li><?=$errors?></li>
<? } ?>
</ul>
<?
	}
}
?>

<? if((!isset($response))or(isset($errorArray))){ ?>
<form method="post" action="<?php echo $this->action('confirm')?>" id="reservations">
	<table>
		<tr>
			<th>お名前</th>
			<td><?php echo $form->text('p_name')?></td>
		</tr>
		<tr>
			<th>Eメール</th>
			<td><?php echo $form->text('p_mail')?></td>
		</tr>
	</table>
	<div class="form-btn-area">
    <input type="submit" name="submit" value="送信" />
  </div>
</form>
<? }else { ?>
	<?php if($response == 1){ ?>
	<form method="post" action="<?php echo $this->action('send')?>" id="reservations">
		<input type="hidden" value="<?=$_POST['p_name']?>" name="p_name" />
		<input type="hidden" value="<?=$_POST['p_mail']?>" name="p_mail" />
		<table>
			<tr>
				<th>お名前</th>
				<td><?=$_POST['p_name']?></td>
			</tr>
			<tr>
				<th>Eメール</th>
				<td><?=$_POST['p_mail'] ?></td>
			</tr>
		</table>
		<div class="form-btn-area">
	    <input type="submit" name="submit" value="送信" />
	  </div>
	</form>
	<?php }else{ ?>
		
	<?php } ?>
<?php } ?>
