<?php 
defined('C5_EXECUTE') or die(_("Access Denied."));
$form = Loader::helper('form');
$dtt = Loader::helper('form/date_time');
$val = Loader::helper('validation/form');

$myMail="info@mail.com";//管理者のメールアドレス（お客様へのメールで差出人に利用されます）

$car=array(//セレクトボックス サンプル１
	'k' => 'Kクラス',
	's' => 'Sクラス',
	'a' => 'Aクラス',
	'w' => 'Wクラス',
	't' => 'tクラス'
);

$time=array(//セレクトボックス サンプル２（時間）
	't8' => '8:00',
	't83' => '8:30',
	't9' => '9:00',
	't93' => '9:30',
	't10' => '10:00',
	't103' => '10:30',
	't11' => '11:00',
	't113' => '11:30',
	't12' => '12:00',
	't123' => '12:30',
	't13' => '13:00',
	't133' => '13:30',
	't14' => '14:00',
	't143' => '14:30',
	't15' => '15:00',
	't153' => '15:30',
	't16' => '16:00',
	't163' => '16:30',
	't17' => '17:00',
	't173' => '17:30',
	't18' => '18:00',
	't183' => '18:30'
);

$plane=array(//セレクトボックス サンプル３（飛行機）
	'jal' => '(JAL)日本トランスオーシャン航空',
	'ana' => '(ANA)全日本空輸'
);

if (isset($response)) {

	$val->setData($_POST);
	$val->setFiles();
	$val->addRequired('p_name', '名前を入力してください。');
	$val->addRequired('p_kana', '名前（ふりがな）を入力してください。');
	$val->addRequired('p_tel', '電話番号を入力してください。');
	$val->addRequired('p_mail', 'Eメールを入力してください。');
	$val->addRequired('p_car-class', 'ご希望車種を入力してください。');
	$val->addRequired('p_contact', '予約の連絡方法を入力してください。');
	$val->addRequired('p_date-start', 'ご予約日時（利用開始日）を入力してください。');
	$val->addRequired('p_time-start', 'ご予約日時（利用開始時間）を入力してください。');
	$val->addRequired('p_date-end', 'ご予約日時（利用終了日）を入力してください。');
	$val->addRequired('p_time-end', 'ご予約日時（利用終了時間）を入力してください。');
	$val->addRequiredEmail('p_mail', '正しいメールアドレスを入力してください。');


  if ($val->test() and ($capError=="")) {

  //お客様へのメール送信処理
  $mh = Loader::helper('mail');

  $mailtxt = t("
%s 様

この度は%sをご利用いただき、まことに有難う御座います。
予約内容を弊社にて確認後、ご予約確定のご案内をさせていただきます。

予約フォームでの入力内容は以下の通りとなります。

▼お名前：
%s

▼お名前（ふりがな）：
%s

▼電話番号：
%s

▼Eメール：
%s

▼FAX番号：
%s

▼ご住所：
%s

▼ご希望クラス：
%s

▼予定人数（合計）：
%s人

▼予約の連絡方法：
%s

▼利用開始日時：
%s %s

▼利用終了日時：
%s %s

▼宮古島到着便：
%s %s便

▼宮古島出発便：
%s %s便

▼任意保険(CDW)：
%s

▼オプション：
%s %s %s

▼アンケート：
%s %s %s %s %s %s

▼ご質問・ご要望等：
%s


■┳■┳■━━━━━■┳■┳■

株式会社 しゃめい
沖縄県宮古島市平良下里
営業時間 9:00～17:00 (年中無休)

TEL：0980-00-1234
FAX：0980-00-5678
E-mail：info@example.com
HP：http://example.com/

■┻■┻■━━━━━■┻■┻■


  ",
  $_POST['p_name'],
  SITE,
  $_POST['p_name'],
  $_POST['p_kana'],
  $_POST['p_tel'],
  $_POST['p_mail'],
  $_POST['p_fax'],
  $_POST['p_address'],
  $_POST['p_car-class'],
  $_POST['p_people'],
  $_POST['p_contact'],
  $_POST['p_date-start'],
  $time[$_POST['p_time-start']],
  $_POST['p_date-end'],
  $time[$_POST['p_time-end']],
  $_POST['p_plane-s'],
  $_POST['p_plane-num-s'],
  $_POST['p_plane-e'],
  $_POST['p_plane-num-e'],
  $_POST['p_cdw'],
  $_POST['p_car-option1'],
  $_POST['p_car-option2'],
  $_POST['p_car-option3'],
  $_POST['p_questionnaire1'],
  $_POST['p_questionnaire2'],
  $_POST['p_questionnaire3'],
  $_POST['p_questionnaire4'],
  $_POST['p_questionnaire5'],
  $_POST['p_questionnaire6'],
  $_POST['p_others']
  );

  $mh->setSubject('【自動返信】サイト／サービス名');
  $mh->setBody($mailtxt);
  $mh->to($_POST['p_mail'], $_POST['p_name']."様");
  $mh->from($myMail, SITE);
  $mh->sendMail();

  //管理者側へのメール送信
  $mh2 = Loader::helper('mail');
  $mailtxt.=t("
  UserAgent: %s
  RemoteAdd: %s
  ",$_SERVER['HTTP_USER_AGENT'],$_SERVER['REMOTE_ADDR']);

  $mh2->setSubject('【サイト／サービス名】新規予約メール');
  $mh2->setBody($mailtxt);
  $mh2->to($myMail);
  $mh2->from($_POST['p_mail'], $_POST['p_name']);
  $mh2->sendMail();

  echo "メールを送信いたしました。<br />ご利用ありがとうございます。";

} else {
	$errorArray = $val->getError()->getList(); 
	if(isset($capError)){
		array_push($errorArray,$capError);
	}
}

?>

<? if(isset($errorArray)){ ?>

<ul class="errors">
<? foreach($errorArray as $errors){ ?>
	<li><?=$errors?></li>
<? } ?>
</ul>
<?
	}
}
?>

<? if((!isset($response))or(isset($errorArray))){ ?>
<form method="post" action="<?php echo $this->action('ex_form')?>" id="reservations">
	<table>
		<tr>
			<th>お名前</th>
			<td><?php echo $form->text('p_name')?></td>
		</tr>
		<tr>
			<th>お名前（ふりがな）</th>
			<td><?php echo $form->text('p_kana')?></td>
		</tr>
		<tr>
			<th>電話番号</th>
			<td><?php echo $form->text('p_tel')?></td>
		</tr>
		<tr>
			<th>Eメール</th>
			<td><?php echo $form->text('p_mail')?></td>
		</tr>
		<tr>
			<th>FAX番号</th>
			<td><?php echo $form->text('p_fax')?></td>
		</tr>
		<tr>
			<th>ご住所</th>
			<td><?php echo $form->text('p_address', '', array('style' => 'width: 80%'))?></td>
		</tr>
		<tr>
			<th>ご希望クラス</th>
			<td><?php echo $form->radio('p_car-class', 'Kクラス'); ?>
					<?php echo $form->label('p_car-class1', 'Kクラス'); ?>
					<?php echo $form->radio('p_car-class', 'Sクラス'); ?>
					<?php echo $form->label('p_car-class2', 'Sクラス'); ?>
					<?php echo $form->radio('p_car-class', 'Aクラス'); ?>
					<?php echo $form->label('p_car-class3', 'Aクラス'); ?>
					<?php echo $form->radio('p_car-class', 'Wクラス'); ?>
					<?php echo $form->label('p_car-class4', 'Wクラス'); ?>
					<?php echo $form->radio('p_car-class', 'tクラス'); ?>
					<?php echo $form->label('p_car-class5', 'tクラス'); ?></td>
		</tr>
		<tr>
			<th>予定人数（合計）</th>
			<td><?php echo $form->text('p_people', '', array('style' => 'width: 2em'))?>人</td>
		</tr>
		<tr>
			<th>予約の連絡方法</th>
			<td><?php echo $form->radio('p_contact', '電話で'); ?>
					<?php echo $form->label('p_contact6', '電話で'); ?>
					<?php echo $form->radio('p_contact', 'メールで'); ?>
					<?php echo $form->label('p_contact7', 'メールで'); ?>
					<?php echo $form->radio('p_contact', 'FAXで'); ?>
					<?php echo $form->label('p_contact8', 'FAXで'); ?></td>
		</tr>
		<tr>
			<th>ご予約日時</th>
			<td>利用開始： <?=$dtt->date('p_date-start', $dtt->translate('p_date-start'), false)?>　<?=$form->select('p_time-start', $time, 't11')?><br />
					利用終了： <?=$dtt->date('p_date-end', $dtt->translate('p_date-end'), false)?>　<?=$form->select('p_time-end', $time, 't15')?></td>
		</tr>
		<tr>
			<th>空港送迎</th>
			<td>宮古島到着便 <?=$form->select('p_plane-s', $plane, 'ana')?>　<?php echo $form->text('p_plane-num-s', '', array('style' => 'width: 2em'))?>便<br />
					宮古島出発便 <?=$form->select('p_plane-e', $plane, 'ana')?>　<?php echo $form->text('p_plane-num-e', '', array('style' => 'width: 2em'))?>便</td>
		</tr>
		<tr>
			<th>保険</th>
			<td><?php echo $form->radio('p_cdw', '加入する'); ?>
					<?php echo $form->label('p_cdw9', '加入する'); ?>
					<?php echo $form->radio('p_cdw', '加入しない'); ?>
					<?php echo $form->label('p_cdw10', '加入しない'); ?></td>
		</tr>
		<tr>
			<th>レンタカーオプション</th>
			<td><?php echo $form->checkbox('p_car-option1', 'オプション１'); ?>
					<?php echo $form->label('p_car-option1', 'オプション１'); ?><br />
					<?php echo $form->checkbox('p_car-option2', 'オプション２'); ?>
					<?php echo $form->label('p_car-option2', 'オプション２'); ?><br />
					<?php echo $form->checkbox('p_car-option3', 'オプション３'); ?>
					<?php echo $form->label('p_car-option3', 'オプション３'); ?></td>
		</tr>
		<tr>
			<th>アバレンタカーを<br />どちらでお知りに<br />なられましたか？</th>
			<td><?php echo $form->checkbox('p_questionnaire1', 'Yahooで'); ?>
					<?php echo $form->label('p_questionnaire1', 'Yahooで'); ?><br />
					<?php echo $form->checkbox('p_questionnaire2', 'Googleで'); ?>
					<?php echo $form->label('p_questionnaire2', 'Googleで'); ?><br />
					<?php echo $form->checkbox('p_questionnaire3', '友人・知人の紹介で'); ?>
					<?php echo $form->label('p_questionnaire3', '友人・知人の紹介で'); ?><br />
					<?php echo $form->checkbox('p_questionnaire4', 'パンフレットで'); ?>
					<?php echo $form->label('p_questionnaire4', 'パンフレットで'); ?><br />
					<?php echo $form->checkbox('p_questionnaire5', '前回利用している'); ?>
					<?php echo $form->label('p_questionnaire5', '前回利用している'); ?><br />
					<?php echo $form->checkbox('p_questionnaire6', 'その他'); ?>
					<?php echo $form->label('p_questionnaire6', 'その他'); ?></td>
		</tr>
		<tr>
			<th>ご質問・ご要望等</th>
			<td><?php echo $form->textarea('p_others', '', array('style' => 'width: 80%; height: 4em;'))?></td>
		</tr>
	</table>
	<div class="form-btn-area">
    <input type="submit" name="submit" value="送信" />
  </div>
</form>
<? } ?>

